package edu.mit.ll.group43.surfaceoptimization.dp.factory;

import edu.mit.ll.group43.surfaceoptimization.aircraft.MinimumSeparationCalculator;
import edu.mit.ll.group43.surfaceoptimization.aircraft.WeightClass;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.AllGapsForceSpotCostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.CostStrategy;

public class AllGapsForceSpotDPSequencerFactory extends
		OneGapForceSpotDPSequencerFactory {

	public AllGapsForceSpotDPSequencerFactory(int cps,
			MinimumSeparationCalculator<? extends WeightClass> calc) {
		super(cps, calc);
	}
	
	@Override
	public CostStrategy getCostStrategy() {
		return new AllGapsForceSpotCostStrategy(cps, calc);
	}
}
