package edu.mit.ll.group43.surfaceoptimization.dp.factory;

import edu.mit.ll.group43.surfaceoptimization.aircraft.MinimumSeparationCalculator;
import edu.mit.ll.group43.surfaceoptimization.aircraft.WeightClass;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.CostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.LenientAllGapsForceSpotCostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.node.CPSNetworkNodeFactory;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.node.LenientSmartCPSNetworkNodeFactory;

public class LenientAllGapsForceSpotDPSequencerFactory extends
		AllGapsForceSpotDPSequencerFactory {

	public LenientAllGapsForceSpotDPSequencerFactory(int cps,
			MinimumSeparationCalculator<? extends WeightClass> calc) {
		super(cps, calc);
	}
	
	@Override
	public CPSNetworkNodeFactory getCPSNetworkNodeFactory() {
		return new LenientSmartCPSNetworkNodeFactory();
	}
	
	@Override
	public CostStrategy getCostStrategy() {
		return new LenientAllGapsForceSpotCostStrategy(cps, calc);
	}

}
