package edu.mit.ll.group43.surfaceoptimization.dp.factory;

import edu.mit.ll.group43.surfaceoptimization.aircraft.MinimumSeparationCalculator;
import edu.mit.ll.group43.surfaceoptimization.aircraft.WeightClass;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.CostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.cost.OneGapForceSpotCostStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.node.CPSNetworkNodeFactory;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.node.SmartCPSNetworkNodeFactory;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.sequencerecovery.NodeContainedSequenceRecoveryStrategy;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.sequencerecovery.SequenceRecoveryStrategy;

public class OneGapForceSpotDPSequencerFactory extends SimpleSpotDPSequencerFactory {

	public OneGapForceSpotDPSequencerFactory(int cps,
			MinimumSeparationCalculator<? extends WeightClass> calc) {
		super(cps, calc);
	}

	@Override
	public CostStrategy getCostStrategy() {
		return new OneGapForceSpotCostStrategy(cps, calc);
	}
	
	@Override
	public CPSNetworkNodeFactory getCPSNetworkNodeFactory() {
		return new SmartCPSNetworkNodeFactory();
	}
	
	@Override
	public SequenceRecoveryStrategy getSequenceRecoveryStrategy() {
		return new NodeContainedSequenceRecoveryStrategy();
	}
}
