package edu.mit.ll.group43.surfaceoptimization.dp.factory.node;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.network.dp.CPSNetworkNode;
import edu.mit.ll.group43.surfaceoptimization.network.dp.SmartCPSNetworkNode;
import edu.mit.ll.group43.surfaceoptimization.network.dp.Subsequence;

/**
 * CPS network node factory that returns instances of the SmartCPSNetworkNode
 * class, which can keep track of a projected takeoff sequence specific to
 * when that node's last aircraft is told to leave the spot.
 * 
 * @author William Hawkins
 *
 */
public class SmartCPSNetworkNodeFactory implements CPSNetworkNodeFactory {

	@Override
	public CPSNetworkNode getCPSNetworkNode(Subsequence<Aircraft> seq) {
		return new SmartCPSNetworkNode(seq);
	}

}
