package edu.mit.ll.group43.surfaceoptimization.input;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 * Reads minimum separation times in from a plain text file.
 * 
 * @author William Hawkins
 *
 */
public class TextMinSeparationReader implements MinSeparationReader {

	private Scanner scanner;
	
	public TextMinSeparationReader(String filename) throws FileNotFoundException {
		this.scanner = new Scanner(new File(filename));
		//TODO: Throw a BadTextFileFormatException if in the wrong format
	}
	
	@Override
	public int[] nextLine() {
		if (scanner.hasNextLine()) {
			String line = scanner.nextLine();
			String[] info = line.split(" ");
			int[] separations = new int[info.length];
			for (int i = 0; i < info.length; i ++) {
				separations[i] = Integer.parseInt(info[i]);
			}
			return separations;
		}
		return null;
	}

}
