package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Measurer that determines the longest delay that any one aircraft
 * from the given sequence experiences at the spot.
 * 
 * @author William Hawkins
 *
 */
public class SpotMaxDelayMeasurer implements Measurer {

	@Override
	public int measure(ArrayList<Aircraft> sequence)
			throws FileNotFoundException {
		int maxDelay = 0;
		for (Aircraft a : sequence) {
			int delay = a.getOptReleaseTime() - a.getSpotReadyTime();
			if (delay > maxDelay) {
				maxDelay = delay;
			}
		}
		return maxDelay;
	}

}
