package edu.mit.ll.group43.surfaceoptimization.measurement;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;

/**
 * Measurer that determines the system delay at the runway for
 * the given sequence.
 * 
 * @author William Hawkins
 *
 */
public class SpotSystemDelayMeasurer implements Measurer {

	@Override
	public int measure(ArrayList<Aircraft> sequence)
			throws FileNotFoundException {
		int systemDelay = 0;
		for (Aircraft a : sequence) {
			systemDelay += (a.getOptReleaseTime() - a.getSpotReadyTime());
		}
		return systemDelay;
	}
}