package edu.mit.ll.group43.surfaceoptimization.network;

/**
 * Represents a directed edge in a network.
 * 
 * @author William Hawkins
 *
 */
public class NetworkEdge {

	private NetworkNode source;
	private NetworkNode target;
	private int weight;
	
	public NetworkEdge(NetworkNode source, NetworkNode target, int weight) {
		this.source = source;
		this.target = target;
		this.weight = weight;
	}

	/**
	 * Returns the node from which this edge originates.
	 * 
	 * @return
	 */
	public NetworkNode getSource() {
		return source;
	}

	/**
	 * Returns the node to which this edge points.
	 * 
	 * @return
	 */
	public NetworkNode getTarget() {
		return target;
	}

	/**
	 * Returns the weight of this edge.
	 * 
	 * @return
	 */
	public int getWeight() {
		return weight;
	}
}
