package edu.mit.ll.group43.surfaceoptimization.output;

import java.io.FileNotFoundException;
import java.io.OutputStream;
import java.util.ArrayList;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.measurement.Measurer;
import edu.mit.ll.group43.surfaceoptimization.measurement.RunwaySystemDelayMeasurer;
import edu.mit.ll.group43.surfaceoptimization.measurement.SpotMaxDelayMeasurer;
import edu.mit.ll.group43.surfaceoptimization.measurement.SpotSystemDelayMeasurer;

public abstract class ResultsOutput implements Output {

	@Override
	public abstract void output(OutputStream os, ArrayList<Aircraft> sequence) throws FileNotFoundException;
	
	protected int spotDelay(ArrayList<Aircraft> sequence) throws FileNotFoundException {
		return measurement(new SpotSystemDelayMeasurer(), sequence);
	}
	
	protected int spotMaxDelay(ArrayList<Aircraft> sequence) throws FileNotFoundException {
		return measurement(new SpotMaxDelayMeasurer(), sequence);
	}
	
	protected int runwayDelay(ArrayList<Aircraft> sequence) throws FileNotFoundException {
		return measurement(new RunwaySystemDelayMeasurer(), sequence);
	}
	
	private int measurement(Measurer m, ArrayList<Aircraft> sequence) throws FileNotFoundException {
		return m.measure(sequence);
	}
}
