package edu.mit.ll.group43.surfaceoptimization.dp;

import java.io.FileNotFoundException;
import java.util.ArrayList;

import junit.framework.TestCase;

import org.junit.Test;

import edu.mit.ll.group43.surfaceoptimization.aircraft.Aircraft;
import edu.mit.ll.group43.surfaceoptimization.aircraft.DefaultDepartureMinimumSeparationCalculator;
import edu.mit.ll.group43.surfaceoptimization.dp.factory.SimpleSpotDPSequencerFactory;
import edu.mit.ll.group43.surfaceoptimization.input.Input;
import edu.mit.ll.group43.surfaceoptimization.input.InvalidFCFSReaderTypeException;

public class SimpleSpotDPSequencerFactoryTest extends TestCase {
	
	private DPSequencer dp;
	private String FCFS_FILE = "testdata/simplespotfcfs";
	
	@Test
	public void testSequence() throws FileNotFoundException, InvalidFCFSReaderTypeException {
		dp = new DPSequencer(new SimpleSpotDPSequencerFactory(1, 
				DefaultDepartureMinimumSeparationCalculator.getInstance()));
		ArrayList<Aircraft> sequence = (new Input()).generateFcfsSequence("text", FCFS_FILE);
		sequence = dp.sequence(sequence);
		
		assertEquals(1, sequence.get(0).getFcfsIndex());
		assertEquals(3, sequence.get(1).getFcfsIndex());
		assertEquals(2, sequence.get(2).getFcfsIndex());
		
		assertEquals(0, sequence.get(0).getOptReleaseTime());
		assertEquals(405, sequence.get(1).getOptReleaseTime());
		assertEquals(405, sequence.get(2).getOptReleaseTime());
	}
}
